package jp.sourceforge.pdt_tools.formatter;

import org.eclipse.php.internal.core.documentModel.parser.regions.PHPRegionTypes;

public enum TokenTypes {

	PHP_KEYWORD(PHPRegionTypes.PHP_KEYWORD), //
	PHP_OPENTAG(PHPRegionTypes.PHP_OPENTAG), //
	PHP_CLOSETAG(PHPRegionTypes.PHP_CLOSETAG), //
	PHP_CONTENT(PHPRegionTypes.PHP_CONTENT), //
	PHP_DIE(PHPRegionTypes.PHP_DIE), //
	PHP_SEMICOLON(PHPRegionTypes.PHP_SEMICOLON), //
	PHP_CASE(PHPRegionTypes.PHP_CASE), //
	PHP_NUMBER(PHPRegionTypes.PHP_NUMBER), //
	PHP_GLOBAL(PHPRegionTypes.PHP_GLOBAL), //
	PHP_ARRAY(PHPRegionTypes.PHP_ARRAY), //
	PHP_FINAL(PHPRegionTypes.PHP_FINAL), //
	PHP_PAAMAYIM_NEKUDOTAYIM(PHPRegionTypes.PHP_PAAMAYIM_NEKUDOTAYIM), //
	PHP_NS_SEPARATOR(PHPRegionTypes.PHP_NS_SEPARATOR), //
	PHP_EXTENDS(PHPRegionTypes.PHP_EXTENDS), //
	PHP_VAR_COMMENT(PHPRegionTypes.PHP_VAR_COMMENT), //
	PHP_NAMESPACE(PHPRegionTypes.PHP_NAMESPACE), //
	PHP_USE(PHPRegionTypes.PHP_USE), //
	PHP_INCLUDE(PHPRegionTypes.PHP_INCLUDE), //
	PHP_EMPTY(PHPRegionTypes.PHP_EMPTY), //
	PHP_CLASS(PHPRegionTypes.PHP_CLASS), //
	PHP_FOR(PHPRegionTypes.PHP_FOR), //
	PHP_STRING(PHPRegionTypes.PHP_STRING), //
	PHP_AS(PHPRegionTypes.PHP_AS), //
	PHP_TRY(PHPRegionTypes.PHP_TRY), //
	PHP_STATIC(PHPRegionTypes.PHP_STATIC), //
	PHP_WHILE(PHPRegionTypes.PHP_WHILE), //
	PHP_ENDFOREACH(PHPRegionTypes.PHP_ENDFOREACH), //
	PHP_EVAL(PHPRegionTypes.PHP_EVAL), //
	PHP_INSTANCEOF(PHPRegionTypes.PHP_INSTANCEOF), //
	PHP_ENDWHILE(PHPRegionTypes.PHP_ENDWHILE), //
	PHP_BREAK(PHPRegionTypes.PHP_BREAK), //
	PHP_DEFAULT(PHPRegionTypes.PHP_DEFAULT), //
	PHP_VARIABLE(PHPRegionTypes.PHP_VARIABLE), //
	PHP_ABSTRACT(PHPRegionTypes.PHP_ABSTRACT), //
	PHP_PRINT(PHPRegionTypes.PHP_PRINT), //
	PHP_CURLY_OPEN(PHPRegionTypes.PHP_CURLY_OPEN), //
	PHP_ENDIF(PHPRegionTypes.PHP_ENDIF), //
	PHP_ELSEIF(PHPRegionTypes.PHP_ELSEIF), //
	PHP_HALT_COMPILER(PHPRegionTypes.PHP_HALT_COMPILER), //
	PHP_INCLUDE_ONCE(PHPRegionTypes.PHP_INCLUDE_ONCE), //
	PHP_NEW(PHPRegionTypes.PHP_NEW), //
	PHP_UNSET(PHPRegionTypes.PHP_UNSET), //
	PHP_ENDSWITCH(PHPRegionTypes.PHP_ENDSWITCH), //
	PHP_FOREACH(PHPRegionTypes.PHP_FOREACH), //
	PHP_IMPLEMENTS(PHPRegionTypes.PHP_IMPLEMENTS), //
	PHP_CLONE(PHPRegionTypes.PHP_CLONE), //
	PHP_ENDFOR(PHPRegionTypes.PHP_ENDFOR), //
	PHP_REQUIRE_ONCE(PHPRegionTypes.PHP_REQUIRE_ONCE), //
	PHP_FUNCTION(PHPRegionTypes.PHP_FUNCTION), //
	PHP_PROTECTED(PHPRegionTypes.PHP_PROTECTED), //
	PHP_PRIVATE(PHPRegionTypes.PHP_PRIVATE), //
	PHP_ENDDECLARE(PHPRegionTypes.PHP_ENDDECLARE), //
	PHP_CURLY_CLOSE(PHPRegionTypes.PHP_CURLY_CLOSE), //
	PHP_ELSE(PHPRegionTypes.PHP_ELSE), //
	PHP_DO(PHPRegionTypes.PHP_DO), //
	PHP_CONTINUE(PHPRegionTypes.PHP_CONTINUE), //
	PHP_GOTO(PHPRegionTypes.PHP_GOTO), //
	PHP_ECHO(PHPRegionTypes.PHP_ECHO), //
	PHP_REQUIRE(PHPRegionTypes.PHP_REQUIRE), //
	PHP_CONSTANT_ENCAPSED_STRING(PHPRegionTypes.PHP_CONSTANT_ENCAPSED_STRING), //
	PHP_ENCAPSED_AND_WHITESPACE(PHPRegionTypes.PHP_ENCAPSED_AND_WHITESPACE), //
	WHITESPACE(PHPRegionTypes.WHITESPACE), //
	PHP_SWITCH(PHPRegionTypes.PHP_SWITCH), //
	PHP_CONST(PHPRegionTypes.PHP_CONST), //
	PHP_PUBLIC(PHPRegionTypes.PHP_PUBLIC), //
	PHP_RETURN(PHPRegionTypes.PHP_RETURN), //
	PHP_LOGICAL_AND(PHPRegionTypes.PHP_LOGICAL_AND), //
	PHP_INTERFACE(PHPRegionTypes.PHP_INTERFACE), //
	PHP_EXIT(PHPRegionTypes.PHP_EXIT), //
	PHP_LOGICAL_OR(PHPRegionTypes.PHP_LOGICAL_OR), //
	PHP_NOT(PHPRegionTypes.PHP_NOT), //
	PHP_LOGICAL_XOR(PHPRegionTypes.PHP_LOGICAL_XOR), //
	PHP_ISSET(PHPRegionTypes.PHP_ISSET), //
	PHP_LIST(PHPRegionTypes.PHP_LIST), //
	PHP_CATCH(PHPRegionTypes.PHP_CATCH), //
	PHP_VAR(PHPRegionTypes.PHP_VAR), //
	PHP_THROW(PHPRegionTypes.PHP_THROW), //
	PHP_IF(PHPRegionTypes.PHP_IF), //
	PHP_DECLARE(PHPRegionTypes.PHP_DECLARE), //
	PHP_OBJECT_OPERATOR(PHPRegionTypes.PHP_OBJECT_OPERATOR), //
	PHP_SELF(PHPRegionTypes.PHP_SELF), //
	PHPDOC_VAR(PHPRegionTypes.PHPDOC_VAR), //
	PHPDOC_SEE(PHPRegionTypes.PHPDOC_SEE), //
	PHP_COMMENT(PHPRegionTypes.PHP_COMMENT), //
	PHP_COMMENT_START(PHPRegionTypes.PHP_COMMENT_START), //
	PHP_COMMENT_END(PHPRegionTypes.PHP_COMMENT_END), //
	PHP_LINE_COMMENT(PHPRegionTypes.PHP_LINE_COMMENT), //
	PHPDOC_COMMENT(PHPRegionTypes.PHPDOC_COMMENT), //
	PHPDOC_COMMENT_START(PHPRegionTypes.PHPDOC_COMMENT_START), //
	PHPDOC_COMMENT_END(PHPRegionTypes.PHPDOC_COMMENT_END), //
	PHPDOC_NAME(PHPRegionTypes.PHPDOC_NAME), //
	PHPDOC_DESC(PHPRegionTypes.PHPDOC_DESC), //
	PHPDOC_TODO(PHPRegionTypes.PHPDOC_TODO), //
	PHPDOC_LINK(PHPRegionTypes.PHPDOC_LINK), //
	PHPDOC_EXAMPLE(PHPRegionTypes.PHPDOC_EXAMPLE), //
	PHPDOC_LICENSE(PHPRegionTypes.PHPDOC_LICENSE), //
	PHPDOC_PACKAGE(PHPRegionTypes.PHPDOC_PACKAGE), //
	PHPDOC_VERSION(PHPRegionTypes.PHPDOC_VERSION), //
	PHPDOC_ABSTRACT(PHPRegionTypes.PHPDOC_ABSTRACT), //
	PHPDOC_INTERNAL(PHPRegionTypes.PHPDOC_INTERNAL), //
	PHPDOC_TUTORIAL(PHPRegionTypes.PHPDOC_TUTORIAL), //
	PHPDOC_METHOD(PHPRegionTypes.PHPDOC_METHOD), //
	PHPDOC_PROPERTY(PHPRegionTypes.PHPDOC_PROPERTY), //
	PHPDOC_USES(PHPRegionTypes.PHPDOC_USES), //
	PHPDOC_CATEGORY(PHPRegionTypes.PHPDOC_CATEGORY), //
	UNKNOWN_TOKEN(PHPRegionTypes.UNKNOWN_TOKEN), //
	PHPDOC_FINAL(PHPRegionTypes.PHPDOC_FINAL), //
	PHPDOC_SINCE(PHPRegionTypes.PHPDOC_SINCE), //
	PHPDOC_PARAM(PHPRegionTypes.PHPDOC_PARAM), //
	PHPDOC_MAGIC(PHPRegionTypes.PHPDOC_MAGIC), //
	PHPDOC_RETURN(PHPRegionTypes.PHPDOC_RETURN), //
	PHPDOC_AUTHOR(PHPRegionTypes.PHPDOC_AUTHOR), //
	PHPDOC_ACCESS(PHPRegionTypes.PHPDOC_ACCESS), //
	PHPDOC_IGNORE(PHPRegionTypes.PHPDOC_IGNORE), //
	PHPDOC_THROWS(PHPRegionTypes.PHPDOC_THROWS), //
	PHPDOC_STATIC(PHPRegionTypes.PHPDOC_STATIC), //
	PHPDOC_GLOBAL(PHPRegionTypes.PHPDOC_GLOBAL), //
	PHPDOC_SUBPACKAGE(PHPRegionTypes.PHPDOC_SUBPACKAGE), //
	PHPDOC_FILESOURCE(PHPRegionTypes.PHPDOC_FILESOURCE), //
	PHPDOC_EXCEPTION(PHPRegionTypes.PHPDOC_EXCEPTION), //
	PHPDOC_COPYRIGHT(PHPRegionTypes.PHPDOC_COPYRIGHT), //
	PHPDOC_STATICVAR(PHPRegionTypes.PHPDOC_STATICVAR), //
	PHPDOC_DEPRECATED(PHPRegionTypes.PHPDOC_DEPRECATED), //
	PHP_HEREDOC_TAG(PHPRegionTypes.PHP_HEREDOC_TAG), //
	PHP_TOKEN(PHPRegionTypes.PHP_TOKEN), //
	PHP__FUNCTION__(PHPRegionTypes.PHP__FUNCTION__), //
	PHP_CASTING(PHPRegionTypes.PHP_CASTING), //
	PHP__FILE__(PHPRegionTypes.PHP__FILE__), //
	PHP__DIR__(PHPRegionTypes.PHP__DIR__), //
	PHP__NAMESPACE__(PHPRegionTypes.PHP__NAMESPACE__), //
	PHP__LINE__(PHPRegionTypes.PHP__LINE__), //
	PHP_OPERATOR(PHPRegionTypes.PHP_OPERATOR), //
	PHP_PARENT(PHPRegionTypes.PHP_PARENT), //
	PHP__CLASS__(PHPRegionTypes.PHP__CLASS__), //
	PHP__METHOD__(PHPRegionTypes.PHP__METHOD__), //
	PHP_FROM(PHPRegionTypes.PHP_FROM), //
	PHP_TRUE(PHPRegionTypes.PHP_TRUE), //
	PHP_FALSE(PHPRegionTypes.PHP_FALSE), //
	PHP_THIS("PHP_THIS"), //
	// since v1.5.0
	PHP_CALLABLE(PHPRegionTypes.PHP_CALLABLE), //
	PHP_INSTEADOF(PHPRegionTypes.PHP_INSTEADOF), //
	PHP_TRAIT(PHPRegionTypes.PHP_TRAIT), //
	PHPDOC_NAMESPACE(PHPRegionTypes.PHPDOC_NAMESPACE);

	private String value;

	private TokenTypes(String value) {
		this.value = value;
	}

	public String getValue() {
		return value;
	}
}
